Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader
Class ImageFlavor

    java.lang.Object
      org.apache.xmlgraphics.image.loader.ImageFlavor

Direct Known Subclasses:
  RefinedImageFlavor

    public class ImageFlavor

extends Object

The flavor of an image indicates in which form it is available. A bitmap image loaded into memory might be represented as a BufferedImage (indicated by ImageFlavor.BUFFERED_IMAGE). It is mostly used by consuming code to indicate what kind of flavors can be processed so a processing pipeline can do the necessary loading operations and conversions.

Field Summary
`static ImageFlavor` | `BUFFERED_IMAGE` An image in form of a BufferedImage instance
`static ImageFlavor` | `GRAPHICS2D` An image in form of a Graphics2DImage (can be painted on a Graphics2D interface)
`static ImageFlavor` | `RAW` An image in form of a raw PNG file/stream
`static ImageFlavor` | `RAW_CCITTFAX` An image in form of a raw CCITTFax stream
`static ImageFlavor` | `RAW_EMF` An image in form of a raw EMF (Windows Enhanced Metafile) file/stream
`static ImageFlavor` | `RAW_EPS` An image in form of a raw EPS (Encapsulated PostScript) file/stream
`static ImageFlavor` | `RAW_JPEG` An image in form of a raw JPEG/JFIF file/stream
`static ImageFlavor` | `RAW_LZW` An image in form of a raw LZW file/stream
`static ImageFlavor` | `RAW_PNG` An image in form of a raw PNG file/stream
`static ImageFlavor` | `RAW_TIFF` An image in form of a raw TIFF file/stream
`static ImageFlavor` | `RENDERED_IMAGE` An image in form of a RenderedImage instance
`static ImageFlavor` | `XML_DOM` An XML-based image in form of a W3C DOM instance

Constructor Summary
`ImageFlavor(String name)` Constructs a new ImageFlavor.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getMimeType()` Returns the MIME type that the image flavor represents if a MIME type is available.
`String` | `getName()` Returns the name of the ImageFlavor.
`String` | `getNamespace()` Returns the XML namespace URI that the image flavor represents if such a namespace URI is available.
`int` | `hashCode()`
`boolean` | `isCompatible(ImageFlavor flavor)` Indicates whether a particular image flavor is compatible with this one.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RENDERED_IMAGE

    public static final ImageFlavor RENDERED_IMAGE

  An image in form of a RenderedImage instance

### BUFFERED_IMAGE

    public static final ImageFlavor BUFFERED_IMAGE

  An image in form of a BufferedImage instance

### XML_DOM

    public static final ImageFlavor XML_DOM

  An XML-based image in form of a W3C DOM instance

### RAW

    public static final ImageFlavor RAW

  An image in form of a raw PNG file/stream

### RAW_PNG

    public static final ImageFlavor RAW_PNG

  An image in form of a raw PNG file/stream

### RAW_JPEG

    public static final ImageFlavor RAW_JPEG

  An image in form of a raw JPEG/JFIF file/stream

### RAW_TIFF

    public static final ImageFlavor RAW_TIFF

  An image in form of a raw TIFF file/stream

### RAW_EMF

    public static final ImageFlavor RAW_EMF

  An image in form of a raw EMF (Windows Enhanced Metafile) file/stream

### RAW_EPS

    public static final ImageFlavor RAW_EPS

  An image in form of a raw EPS (Encapsulated PostScript) file/stream

### RAW_LZW

    public static final ImageFlavor RAW_LZW

  An image in form of a raw LZW file/stream

### RAW_CCITTFAX

    public static final ImageFlavor RAW_CCITTFAX

  An image in form of a raw CCITTFax stream

### GRAPHICS2D

    public static final ImageFlavor GRAPHICS2D

  An image in form of a Graphics2DImage (can be painted on a Graphics2D interface)

Constructor Detail

### ImageFlavor

    public ImageFlavor(String name)

  Constructs a new ImageFlavor. Please reuse existing constants wherever possible!

  Parameters:
    `name` - the name of the flavor (must be unique)

Method Detail

### getName

    public String getName()

  Returns the name of the ImageFlavor.

  Returns:
    the flavor name

### getMimeType

    public String getMimeType()

  Returns the MIME type that the image flavor represents if a MIME type is available. This is only applicable to images which can also exist as files. For images flavors like decoded in-memory images (Rendered/BufferedImage), this method will return null.

  Returns:
    the MIME type or null if no MIME type can be provided (like for in-memory images)

### getNamespace

    public String getNamespace()

  Returns the XML namespace URI that the image flavor represents if such a namespace URI is available. This is only applicable to images in XML form. Other image types will return null.

  Returns:
    the XML or null if no MIME type can be provided (like for in-memory images)

### isCompatible

    public boolean isCompatible(ImageFlavor flavor)

  Indicates whether a particular image flavor is compatible with this one.

  Parameters:
    `flavor` - the other image flavor
  Returns:
    true if the two are compatible

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.